"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const suffixTransformer_1 = require("./transformers/suffixTransformer");
function rootName(name, lang) {
    if (!utils_1.isSupportedLanguage(lang)) {
        throw new Error(`Unsupported language: ${lang}`);
    }
    const langData = DATA[lang];
    for (let data of langData) {
        let root = data.transform(name, lang);
        if (root !== name) {
            utils_1.debug(`tranformed from ${name} => ${root}`);
            if (data.stop) {
                return root;
            }
        }
    }
    utils_1.debug(`NOT tranformed ${name}`);
    return name;
}
exports.default = rootName;
const DATA = {
    ro: [
        { transform: suffixTransformer_1.default, stop: true },
    ],
    ru: [
        { transform: suffixTransformer_1.default, stop: true },
    ],
};
